##
## Auto Generated makefile by CodeLite IDE
## any manual changes will be erased      
##
## Debug
ProjectName            :=ServerCore
ConfigurationName      :=Debug
WorkspacePath          :=/home/barant/Development/BMA/server_core
ProjectPath            :=/home/barant/Development/BMA/server_core/ServerCore
IntermediateDirectory  :=./Debug
OutDir                 := $(IntermediateDirectory)
CurrentFileName        :=
CurrentFilePath        :=
CurrentFileFullPath    :=
User                   :=Brad Arant
Date                   :=07/02/19
CodeLitePath           :=/home/barant/.codelite
LinkerName             :=g++
SharedObjectLinkerName :=g++ -shared -fPIC
ObjectSuffix           :=.o
DependSuffix           :=.o.d
PreprocessSuffix       :=.o.i
DebugSwitch            :=-gstab
IncludeSwitch          :=-I
LibrarySwitch          :=-l
OutputSwitch           :=-o 
LibraryPathSwitch      :=-L
PreprocessorSwitch     :=-D
SourceSwitch           :=-c 
OutputFile             :=$(IntermediateDirectory)/lib$(ProjectName).a
Preprocessors          :=
ObjectSwitch           :=-o 
ArchiveOutputSwitch    := 
PreprocessOnlySwitch   :=-E 
ObjectsFileList        :="ServerCore.txt"
PCHCompileFlags        :=
MakeDirCommand         :=mkdir -p
LinkOptions            :=  
IncludePath            :=  $(IncludeSwitch). $(IncludeSwitch). 
IncludePCH             := 
RcIncludePath          := 
Libs                   := 
ArLibs                 :=  
LibPath                := $(LibraryPathSwitch). 

##
## Common variables
## AR, CXX, CC, AS, CXXFLAGS and CFLAGS can be overriden using an environment variables
##
AR       := ar rcus
CXX      := g++
CC       := gcc
CXXFLAGS :=  -g $(Preprocessors)
CFLAGS   :=  -g $(Preprocessors)
ASFLAGS  := 
AS       := as


##
## User defined environment variables
##
CodeLiteDir:=/usr/share/codelite
Objects0=$(IntermediateDirectory)/Command.cpp$(ObjectSuffix) $(IntermediateDirectory)/ConsoleServer.cpp$(ObjectSuffix) $(IntermediateDirectory)/ConsoleSession.cpp$(ObjectSuffix) $(IntermediateDirectory)/EPoll.cpp$(ObjectSuffix) $(IntermediateDirectory)/Exception.cpp$(ObjectSuffix) $(IntermediateDirectory)/File.cpp$(ObjectSuffix) $(IntermediateDirectory)/Header.cpp$(ObjectSuffix) $(IntermediateDirectory)/IPAddress.cpp$(ObjectSuffix) $(IntermediateDirectory)/Log.cpp$(ObjectSuffix) $(IntermediateDirectory)/Response.cpp$(ObjectSuffix) \
	$(IntermediateDirectory)/Session.cpp$(ObjectSuffix) $(IntermediateDirectory)/Socket.cpp$(ObjectSuffix) $(IntermediateDirectory)/TCPServerSocket.cpp$(ObjectSuffix) $(IntermediateDirectory)/TCPSocket.cpp$(ObjectSuffix) $(IntermediateDirectory)/Thread.cpp$(ObjectSuffix) $(IntermediateDirectory)/Timer.cpp$(ObjectSuffix) $(IntermediateDirectory)/TLSServerSocket.cpp$(ObjectSuffix) $(IntermediateDirectory)/TLSSession.cpp$(ObjectSuffix) $(IntermediateDirectory)/UDPServerSocket.cpp$(ObjectSuffix) $(IntermediateDirectory)/UDPSocket.cpp$(ObjectSuffix) \
	$(IntermediateDirectory)/CommandList.cpp$(ObjectSuffix) $(IntermediateDirectory)/TerminalSession.cpp$(ObjectSuffix) 



Objects=$(Objects0) 

##
## Main Build Targets 
##
.PHONY: all clean PreBuild PrePreBuild PostBuild MakeIntermediateDirs
all: $(IntermediateDirectory) $(OutputFile)

$(OutputFile): $(Objects)
	@$(MakeDirCommand) $(@D)
	@echo "" > $(IntermediateDirectory)/.d
	@echo $(Objects0)  > $(ObjectsFileList)
	$(AR) $(ArchiveOutputSwitch)$(OutputFile) @$(ObjectsFileList) $(ArLibs)
	@$(MakeDirCommand) "/home/barant/Development/BMA/server_core/.build-debug"
	@echo rebuilt > "/home/barant/Development/BMA/server_core/.build-debug/ServerCore"

MakeIntermediateDirs:
	@test -d ./Debug || $(MakeDirCommand) ./Debug


./Debug:
	@test -d ./Debug || $(MakeDirCommand) ./Debug

PreBuild:


##
## Objects
##
$(IntermediateDirectory)/Command.cpp$(ObjectSuffix): Command.cpp $(IntermediateDirectory)/Command.cpp$(DependSuffix)
	$(CXX) $(IncludePCH) $(SourceSwitch) "/home/barant/Development/BMA/server_core/ServerCore/Command.cpp" $(CXXFLAGS) $(ObjectSwitch)$(IntermediateDirectory)/Command.cpp$(ObjectSuffix) $(IncludePath)
$(IntermediateDirectory)/Command.cpp$(DependSuffix): Command.cpp
	@$(CXX) $(CXXFLAGS) $(IncludePCH) $(IncludePath) -MG -MP -MT$(IntermediateDirectory)/Command.cpp$(ObjectSuffix) -MF$(IntermediateDirectory)/Command.cpp$(DependSuffix) -MM Command.cpp

$(IntermediateDirectory)/Command.cpp$(PreprocessSuffix): Command.cpp
	$(CXX) $(CXXFLAGS) $(IncludePCH) $(IncludePath) $(PreprocessOnlySwitch) $(OutputSwitch) $(IntermediateDirectory)/Command.cpp$(PreprocessSuffix) Command.cpp

$(IntermediateDirectory)/ConsoleServer.cpp$(ObjectSuffix): ConsoleServer.cpp $(IntermediateDirectory)/ConsoleServer.cpp$(DependSuffix)
	$(CXX) $(IncludePCH) $(SourceSwitch) "/home/barant/Development/BMA/server_core/ServerCore/ConsoleServer.cpp" $(CXXFLAGS) $(ObjectSwitch)$(IntermediateDirectory)/ConsoleServer.cpp$(ObjectSuffix) $(IncludePath)
$(IntermediateDirectory)/ConsoleServer.cpp$(DependSuffix): ConsoleServer.cpp
	@$(CXX) $(CXXFLAGS) $(IncludePCH) $(IncludePath) -MG -MP -MT$(IntermediateDirectory)/ConsoleServer.cpp$(ObjectSuffix) -MF$(IntermediateDirectory)/ConsoleServer.cpp$(DependSuffix) -MM ConsoleServer.cpp

$(IntermediateDirectory)/ConsoleServer.cpp$(PreprocessSuffix): ConsoleServer.cpp
	$(CXX) $(CXXFLAGS) $(IncludePCH) $(IncludePath) $(PreprocessOnlySwitch) $(OutputSwitch) $(IntermediateDirectory)/ConsoleServer.cpp$(PreprocessSuffix) ConsoleServer.cpp

$(IntermediateDirectory)/ConsoleSession.cpp$(ObjectSuffix): ConsoleSession.cpp $(IntermediateDirectory)/ConsoleSession.cpp$(DependSuffix)
	$(CXX) $(IncludePCH) $(SourceSwitch) "/home/barant/Development/BMA/server_core/ServerCore/ConsoleSession.cpp" $(CXXFLAGS) $(ObjectSwitch)$(IntermediateDirectory)/ConsoleSession.cpp$(ObjectSuffix) $(IncludePath)
$(IntermediateDirectory)/ConsoleSession.cpp$(DependSuffix): ConsoleSession.cpp
	@$(CXX) $(CXXFLAGS) $(IncludePCH) $(IncludePath) -MG -MP -MT$(IntermediateDirectory)/ConsoleSession.cpp$(ObjectSuffix) -MF$(IntermediateDirectory)/ConsoleSession.cpp$(DependSuffix) -MM ConsoleSession.cpp

$(IntermediateDirectory)/ConsoleSession.cpp$(PreprocessSuffix): ConsoleSession.cpp
	$(CXX) $(CXXFLAGS) $(IncludePCH) $(IncludePath) $(PreprocessOnlySwitch) $(OutputSwitch) $(IntermediateDirectory)/ConsoleSession.cpp$(PreprocessSuffix) ConsoleSession.cpp

$(IntermediateDirectory)/EPoll.cpp$(ObjectSuffix): EPoll.cpp $(IntermediateDirectory)/EPoll.cpp$(DependSuffix)
	$(CXX) $(IncludePCH) $(SourceSwitch) "/home/barant/Development/BMA/server_core/ServerCore/EPoll.cpp" $(CXXFLAGS) $(ObjectSwitch)$(IntermediateDirectory)/EPoll.cpp$(ObjectSuffix) $(IncludePath)
$(IntermediateDirectory)/EPoll.cpp$(DependSuffix): EPoll.cpp
	@$(CXX) $(CXXFLAGS) $(IncludePCH) $(IncludePath) -MG -MP -MT$(IntermediateDirectory)/EPoll.cpp$(ObjectSuffix) -MF$(IntermediateDirectory)/EPoll.cpp$(DependSuffix) -MM EPoll.cpp

$(IntermediateDirectory)/EPoll.cpp$(PreprocessSuffix): EPoll.cpp
	$(CXX) $(CXXFLAGS) $(IncludePCH) $(IncludePath) $(PreprocessOnlySwitch) $(OutputSwitch) $(IntermediateDirectory)/EPoll.cpp$(PreprocessSuffix) EPoll.cpp

$(IntermediateDirectory)/Exception.cpp$(ObjectSuffix): Exception.cpp $(IntermediateDirectory)/Exception.cpp$(DependSuffix)
	$(CXX) $(IncludePCH) $(SourceSwitch) "/home/barant/Development/BMA/server_core/ServerCore/Exception.cpp" $(CXXFLAGS) $(ObjectSwitch)$(IntermediateDirectory)/Exception.cpp$(ObjectSuffix) $(IncludePath)
$(IntermediateDirectory)/Exception.cpp$(DependSuffix): Exception.cpp
	@$(CXX) $(CXXFLAGS) $(IncludePCH) $(IncludePath) -MG -MP -MT$(IntermediateDirectory)/Exception.cpp$(ObjectSuffix) -MF$(IntermediateDirectory)/Exception.cpp$(DependSuffix) -MM Exception.cpp

$(IntermediateDirectory)/Exception.cpp$(PreprocessSuffix): Exception.cpp
	$(CXX) $(CXXFLAGS) $(IncludePCH) $(IncludePath) $(PreprocessOnlySwitch) $(OutputSwitch) $(IntermediateDirectory)/Exception.cpp$(PreprocessSuffix) Exception.cpp

$(IntermediateDirectory)/File.cpp$(ObjectSuffix): File.cpp $(IntermediateDirectory)/File.cpp$(DependSuffix)
	$(CXX) $(IncludePCH) $(SourceSwitch) "/home/barant/Development/BMA/server_core/ServerCore/File.cpp" $(CXXFLAGS) $(ObjectSwitch)$(IntermediateDirectory)/File.cpp$(ObjectSuffix) $(IncludePath)
$(IntermediateDirectory)/File.cpp$(DependSuffix): File.cpp
	@$(CXX) $(CXXFLAGS) $(IncludePCH) $(IncludePath) -MG -MP -MT$(IntermediateDirectory)/File.cpp$(ObjectSuffix) -MF$(IntermediateDirectory)/File.cpp$(DependSuffix) -MM File.cpp

$(IntermediateDirectory)/File.cpp$(PreprocessSuffix): File.cpp
	$(CXX) $(CXXFLAGS) $(IncludePCH) $(IncludePath) $(PreprocessOnlySwitch) $(OutputSwitch) $(IntermediateDirectory)/File.cpp$(PreprocessSuffix) File.cpp

$(IntermediateDirectory)/Header.cpp$(ObjectSuffix): Header.cpp $(IntermediateDirectory)/Header.cpp$(DependSuffix)
	$(CXX) $(IncludePCH) $(SourceSwitch) "/home/barant/Development/BMA/server_core/ServerCore/Header.cpp" $(CXXFLAGS) $(ObjectSwitch)$(IntermediateDirectory)/Header.cpp$(ObjectSuffix) $(IncludePath)
$(IntermediateDirectory)/Header.cpp$(DependSuffix): Header.cpp
	@$(CXX) $(CXXFLAGS) $(IncludePCH) $(IncludePath) -MG -MP -MT$(IntermediateDirectory)/Header.cpp$(ObjectSuffix) -MF$(IntermediateDirectory)/Header.cpp$(DependSuffix) -MM Header.cpp

$(IntermediateDirectory)/Header.cpp$(PreprocessSuffix): Header.cpp
	$(CXX) $(CXXFLAGS) $(IncludePCH) $(IncludePath) $(PreprocessOnlySwitch) $(OutputSwitch) $(IntermediateDirectory)/Header.cpp$(PreprocessSuffix) Header.cpp

$(IntermediateDirectory)/IPAddress.cpp$(ObjectSuffix): IPAddress.cpp $(IntermediateDirectory)/IPAddress.cpp$(DependSuffix)
	$(CXX) $(IncludePCH) $(SourceSwitch) "/home/barant/Development/BMA/server_core/ServerCore/IPAddress.cpp" $(CXXFLAGS) $(ObjectSwitch)$(IntermediateDirectory)/IPAddress.cpp$(ObjectSuffix) $(IncludePath)
$(IntermediateDirectory)/IPAddress.cpp$(DependSuffix): IPAddress.cpp
	@$(CXX) $(CXXFLAGS) $(IncludePCH) $(IncludePath) -MG -MP -MT$(IntermediateDirectory)/IPAddress.cpp$(ObjectSuffix) -MF$(IntermediateDirectory)/IPAddress.cpp$(DependSuffix) -MM IPAddress.cpp

$(IntermediateDirectory)/IPAddress.cpp$(PreprocessSuffix): IPAddress.cpp
	$(CXX) $(CXXFLAGS) $(IncludePCH) $(IncludePath) $(PreprocessOnlySwitch) $(OutputSwitch) $(IntermediateDirectory)/IPAddress.cpp$(PreprocessSuffix) IPAddress.cpp

$(IntermediateDirectory)/Log.cpp$(ObjectSuffix): Log.cpp $(IntermediateDirectory)/Log.cpp$(DependSuffix)
	$(CXX) $(IncludePCH) $(SourceSwitch) "/home/barant/Development/BMA/server_core/ServerCore/Log.cpp" $(CXXFLAGS) $(ObjectSwitch)$(IntermediateDirectory)/Log.cpp$(ObjectSuffix) $(IncludePath)
$(IntermediateDirectory)/Log.cpp$(DependSuffix): Log.cpp
	@$(CXX) $(CXXFLAGS) $(IncludePCH) $(IncludePath) -MG -MP -MT$(IntermediateDirectory)/Log.cpp$(ObjectSuffix) -MF$(IntermediateDirectory)/Log.cpp$(DependSuffix) -MM Log.cpp

$(IntermediateDirectory)/Log.cpp$(PreprocessSuffix): Log.cpp
	$(CXX) $(CXXFLAGS) $(IncludePCH) $(IncludePath) $(PreprocessOnlySwitch) $(OutputSwitch) $(IntermediateDirectory)/Log.cpp$(PreprocessSuffix) Log.cpp

$(IntermediateDirectory)/Response.cpp$(ObjectSuffix): Response.cpp $(IntermediateDirectory)/Response.cpp$(DependSuffix)
	$(CXX) $(IncludePCH) $(SourceSwitch) "/home/barant/Development/BMA/server_core/ServerCore/Response.cpp" $(CXXFLAGS) $(ObjectSwitch)$(IntermediateDirectory)/Response.cpp$(ObjectSuffix) $(IncludePath)
$(IntermediateDirectory)/Response.cpp$(DependSuffix): Response.cpp
	@$(CXX) $(CXXFLAGS) $(IncludePCH) $(IncludePath) -MG -MP -MT$(IntermediateDirectory)/Response.cpp$(ObjectSuffix) -MF$(IntermediateDirectory)/Response.cpp$(DependSuffix) -MM Response.cpp

$(IntermediateDirectory)/Response.cpp$(PreprocessSuffix): Response.cpp
	$(CXX) $(CXXFLAGS) $(IncludePCH) $(IncludePath) $(PreprocessOnlySwitch) $(OutputSwitch) $(IntermediateDirectory)/Response.cpp$(PreprocessSuffix) Response.cpp

$(IntermediateDirectory)/Session.cpp$(ObjectSuffix): Session.cpp $(IntermediateDirectory)/Session.cpp$(DependSuffix)
	$(CXX) $(IncludePCH) $(SourceSwitch) "/home/barant/Development/BMA/server_core/ServerCore/Session.cpp" $(CXXFLAGS) $(ObjectSwitch)$(IntermediateDirectory)/Session.cpp$(ObjectSuffix) $(IncludePath)
$(IntermediateDirectory)/Session.cpp$(DependSuffix): Session.cpp
	@$(CXX) $(CXXFLAGS) $(IncludePCH) $(IncludePath) -MG -MP -MT$(IntermediateDirectory)/Session.cpp$(ObjectSuffix) -MF$(IntermediateDirectory)/Session.cpp$(DependSuffix) -MM Session.cpp

$(IntermediateDirectory)/Session.cpp$(PreprocessSuffix): Session.cpp
	$(CXX) $(CXXFLAGS) $(IncludePCH) $(IncludePath) $(PreprocessOnlySwitch) $(OutputSwitch) $(IntermediateDirectory)/Session.cpp$(PreprocessSuffix) Session.cpp

$(IntermediateDirectory)/Socket.cpp$(ObjectSuffix): Socket.cpp $(IntermediateDirectory)/Socket.cpp$(DependSuffix)
	$(CXX) $(IncludePCH) $(SourceSwitch) "/home/barant/Development/BMA/server_core/ServerCore/Socket.cpp" $(CXXFLAGS) $(ObjectSwitch)$(IntermediateDirectory)/Socket.cpp$(ObjectSuffix) $(IncludePath)
$(IntermediateDirectory)/Socket.cpp$(DependSuffix): Socket.cpp
	@$(CXX) $(CXXFLAGS) $(IncludePCH) $(IncludePath) -MG -MP -MT$(IntermediateDirectory)/Socket.cpp$(ObjectSuffix) -MF$(IntermediateDirectory)/Socket.cpp$(DependSuffix) -MM Socket.cpp

$(IntermediateDirectory)/Socket.cpp$(PreprocessSuffix): Socket.cpp
	$(CXX) $(CXXFLAGS) $(IncludePCH) $(IncludePath) $(PreprocessOnlySwitch) $(OutputSwitch) $(IntermediateDirectory)/Socket.cpp$(PreprocessSuffix) Socket.cpp

$(IntermediateDirectory)/TCPServerSocket.cpp$(ObjectSuffix): TCPServerSocket.cpp $(IntermediateDirectory)/TCPServerSocket.cpp$(DependSuffix)
	$(CXX) $(IncludePCH) $(SourceSwitch) "/home/barant/Development/BMA/server_core/ServerCore/TCPServerSocket.cpp" $(CXXFLAGS) $(ObjectSwitch)$(IntermediateDirectory)/TCPServerSocket.cpp$(ObjectSuffix) $(IncludePath)
$(IntermediateDirectory)/TCPServerSocket.cpp$(DependSuffix): TCPServerSocket.cpp
	@$(CXX) $(CXXFLAGS) $(IncludePCH) $(IncludePath) -MG -MP -MT$(IntermediateDirectory)/TCPServerSocket.cpp$(ObjectSuffix) -MF$(IntermediateDirectory)/TCPServerSocket.cpp$(DependSuffix) -MM TCPServerSocket.cpp

$(IntermediateDirectory)/TCPServerSocket.cpp$(PreprocessSuffix): TCPServerSocket.cpp
	$(CXX) $(CXXFLAGS) $(IncludePCH) $(IncludePath) $(PreprocessOnlySwitch) $(OutputSwitch) $(IntermediateDirectory)/TCPServerSocket.cpp$(PreprocessSuffix) TCPServerSocket.cpp

$(IntermediateDirectory)/TCPSocket.cpp$(ObjectSuffix): TCPSocket.cpp $(IntermediateDirectory)/TCPSocket.cpp$(DependSuffix)
	$(CXX) $(IncludePCH) $(SourceSwitch) "/home/barant/Development/BMA/server_core/ServerCore/TCPSocket.cpp" $(CXXFLAGS) $(ObjectSwitch)$(IntermediateDirectory)/TCPSocket.cpp$(ObjectSuffix) $(IncludePath)
$(IntermediateDirectory)/TCPSocket.cpp$(DependSuffix): TCPSocket.cpp
	@$(CXX) $(CXXFLAGS) $(IncludePCH) $(IncludePath) -MG -MP -MT$(IntermediateDirectory)/TCPSocket.cpp$(ObjectSuffix) -MF$(IntermediateDirectory)/TCPSocket.cpp$(DependSuffix) -MM TCPSocket.cpp

$(IntermediateDirectory)/TCPSocket.cpp$(PreprocessSuffix): TCPSocket.cpp
	$(CXX) $(CXXFLAGS) $(IncludePCH) $(IncludePath) $(PreprocessOnlySwitch) $(OutputSwitch) $(IntermediateDirectory)/TCPSocket.cpp$(PreprocessSuffix) TCPSocket.cpp

$(IntermediateDirectory)/Thread.cpp$(ObjectSuffix): Thread.cpp $(IntermediateDirectory)/Thread.cpp$(DependSuffix)
	$(CXX) $(IncludePCH) $(SourceSwitch) "/home/barant/Development/BMA/server_core/ServerCore/Thread.cpp" $(CXXFLAGS) $(ObjectSwitch)$(IntermediateDirectory)/Thread.cpp$(ObjectSuffix) $(IncludePath)
$(IntermediateDirectory)/Thread.cpp$(DependSuffix): Thread.cpp
	@$(CXX) $(CXXFLAGS) $(IncludePCH) $(IncludePath) -MG -MP -MT$(IntermediateDirectory)/Thread.cpp$(ObjectSuffix) -MF$(IntermediateDirectory)/Thread.cpp$(DependSuffix) -MM Thread.cpp

$(IntermediateDirectory)/Thread.cpp$(PreprocessSuffix): Thread.cpp
	$(CXX) $(CXXFLAGS) $(IncludePCH) $(IncludePath) $(PreprocessOnlySwitch) $(OutputSwitch) $(IntermediateDirectory)/Thread.cpp$(PreprocessSuffix) Thread.cpp

$(IntermediateDirectory)/Timer.cpp$(ObjectSuffix): Timer.cpp $(IntermediateDirectory)/Timer.cpp$(DependSuffix)
	$(CXX) $(IncludePCH) $(SourceSwitch) "/home/barant/Development/BMA/server_core/ServerCore/Timer.cpp" $(CXXFLAGS) $(ObjectSwitch)$(IntermediateDirectory)/Timer.cpp$(ObjectSuffix) $(IncludePath)
$(IntermediateDirectory)/Timer.cpp$(DependSuffix): Timer.cpp
	@$(CXX) $(CXXFLAGS) $(IncludePCH) $(IncludePath) -MG -MP -MT$(IntermediateDirectory)/Timer.cpp$(ObjectSuffix) -MF$(IntermediateDirectory)/Timer.cpp$(DependSuffix) -MM Timer.cpp

$(IntermediateDirectory)/Timer.cpp$(PreprocessSuffix): Timer.cpp
	$(CXX) $(CXXFLAGS) $(IncludePCH) $(IncludePath) $(PreprocessOnlySwitch) $(OutputSwitch) $(IntermediateDirectory)/Timer.cpp$(PreprocessSuffix) Timer.cpp

$(IntermediateDirectory)/TLSServerSocket.cpp$(ObjectSuffix): TLSServerSocket.cpp $(IntermediateDirectory)/TLSServerSocket.cpp$(DependSuffix)
	$(CXX) $(IncludePCH) $(SourceSwitch) "/home/barant/Development/BMA/server_core/ServerCore/TLSServerSocket.cpp" $(CXXFLAGS) $(ObjectSwitch)$(IntermediateDirectory)/TLSServerSocket.cpp$(ObjectSuffix) $(IncludePath)
$(IntermediateDirectory)/TLSServerSocket.cpp$(DependSuffix): TLSServerSocket.cpp
	@$(CXX) $(CXXFLAGS) $(IncludePCH) $(IncludePath) -MG -MP -MT$(IntermediateDirectory)/TLSServerSocket.cpp$(ObjectSuffix) -MF$(IntermediateDirectory)/TLSServerSocket.cpp$(DependSuffix) -MM TLSServerSocket.cpp

$(IntermediateDirectory)/TLSServerSocket.cpp$(PreprocessSuffix): TLSServerSocket.cpp
	$(CXX) $(CXXFLAGS) $(IncludePCH) $(IncludePath) $(PreprocessOnlySwitch) $(OutputSwitch) $(IntermediateDirectory)/TLSServerSocket.cpp$(PreprocessSuffix) TLSServerSocket.cpp

$(IntermediateDirectory)/TLSSession.cpp$(ObjectSuffix): TLSSession.cpp $(IntermediateDirectory)/TLSSession.cpp$(DependSuffix)
	$(CXX) $(IncludePCH) $(SourceSwitch) "/home/barant/Development/BMA/server_core/ServerCore/TLSSession.cpp" $(CXXFLAGS) $(ObjectSwitch)$(IntermediateDirectory)/TLSSession.cpp$(ObjectSuffix) $(IncludePath)
$(IntermediateDirectory)/TLSSession.cpp$(DependSuffix): TLSSession.cpp
	@$(CXX) $(CXXFLAGS) $(IncludePCH) $(IncludePath) -MG -MP -MT$(IntermediateDirectory)/TLSSession.cpp$(ObjectSuffix) -MF$(IntermediateDirectory)/TLSSession.cpp$(DependSuffix) -MM TLSSession.cpp

$(IntermediateDirectory)/TLSSession.cpp$(PreprocessSuffix): TLSSession.cpp
	$(CXX) $(CXXFLAGS) $(IncludePCH) $(IncludePath) $(PreprocessOnlySwitch) $(OutputSwitch) $(IntermediateDirectory)/TLSSession.cpp$(PreprocessSuffix) TLSSession.cpp

$(IntermediateDirectory)/UDPServerSocket.cpp$(ObjectSuffix): UDPServerSocket.cpp $(IntermediateDirectory)/UDPServerSocket.cpp$(DependSuffix)
	$(CXX) $(IncludePCH) $(SourceSwitch) "/home/barant/Development/BMA/server_core/ServerCore/UDPServerSocket.cpp" $(CXXFLAGS) $(ObjectSwitch)$(IntermediateDirectory)/UDPServerSocket.cpp$(ObjectSuffix) $(IncludePath)
$(IntermediateDirectory)/UDPServerSocket.cpp$(DependSuffix): UDPServerSocket.cpp
	@$(CXX) $(CXXFLAGS) $(IncludePCH) $(IncludePath) -MG -MP -MT$(IntermediateDirectory)/UDPServerSocket.cpp$(ObjectSuffix) -MF$(IntermediateDirectory)/UDPServerSocket.cpp$(DependSuffix) -MM UDPServerSocket.cpp

$(IntermediateDirectory)/UDPServerSocket.cpp$(PreprocessSuffix): UDPServerSocket.cpp
	$(CXX) $(CXXFLAGS) $(IncludePCH) $(IncludePath) $(PreprocessOnlySwitch) $(OutputSwitch) $(IntermediateDirectory)/UDPServerSocket.cpp$(PreprocessSuffix) UDPServerSocket.cpp

$(IntermediateDirectory)/UDPSocket.cpp$(ObjectSuffix): UDPSocket.cpp $(IntermediateDirectory)/UDPSocket.cpp$(DependSuffix)
	$(CXX) $(IncludePCH) $(SourceSwitch) "/home/barant/Development/BMA/server_core/ServerCore/UDPSocket.cpp" $(CXXFLAGS) $(ObjectSwitch)$(IntermediateDirectory)/UDPSocket.cpp$(ObjectSuffix) $(IncludePath)
$(IntermediateDirectory)/UDPSocket.cpp$(DependSuffix): UDPSocket.cpp
	@$(CXX) $(CXXFLAGS) $(IncludePCH) $(IncludePath) -MG -MP -MT$(IntermediateDirectory)/UDPSocket.cpp$(ObjectSuffix) -MF$(IntermediateDirectory)/UDPSocket.cpp$(DependSuffix) -MM UDPSocket.cpp

$(IntermediateDirectory)/UDPSocket.cpp$(PreprocessSuffix): UDPSocket.cpp
	$(CXX) $(CXXFLAGS) $(IncludePCH) $(IncludePath) $(PreprocessOnlySwitch) $(OutputSwitch) $(IntermediateDirectory)/UDPSocket.cpp$(PreprocessSuffix) UDPSocket.cpp

$(IntermediateDirectory)/CommandList.cpp$(ObjectSuffix): CommandList.cpp $(IntermediateDirectory)/CommandList.cpp$(DependSuffix)
	$(CXX) $(IncludePCH) $(SourceSwitch) "/home/barant/Development/BMA/server_core/ServerCore/CommandList.cpp" $(CXXFLAGS) $(ObjectSwitch)$(IntermediateDirectory)/CommandList.cpp$(ObjectSuffix) $(IncludePath)
$(IntermediateDirectory)/CommandList.cpp$(DependSuffix): CommandList.cpp
	@$(CXX) $(CXXFLAGS) $(IncludePCH) $(IncludePath) -MG -MP -MT$(IntermediateDirectory)/CommandList.cpp$(ObjectSuffix) -MF$(IntermediateDirectory)/CommandList.cpp$(DependSuffix) -MM CommandList.cpp

$(IntermediateDirectory)/CommandList.cpp$(PreprocessSuffix): CommandList.cpp
	$(CXX) $(CXXFLAGS) $(IncludePCH) $(IncludePath) $(PreprocessOnlySwitch) $(OutputSwitch) $(IntermediateDirectory)/CommandList.cpp$(PreprocessSuffix) CommandList.cpp

$(IntermediateDirectory)/TerminalSession.cpp$(ObjectSuffix): TerminalSession.cpp $(IntermediateDirectory)/TerminalSession.cpp$(DependSuffix)
	$(CXX) $(IncludePCH) $(SourceSwitch) "/home/barant/Development/BMA/server_core/ServerCore/TerminalSession.cpp" $(CXXFLAGS) $(ObjectSwitch)$(IntermediateDirectory)/TerminalSession.cpp$(ObjectSuffix) $(IncludePath)
$(IntermediateDirectory)/TerminalSession.cpp$(DependSuffix): TerminalSession.cpp
	@$(CXX) $(CXXFLAGS) $(IncludePCH) $(IncludePath) -MG -MP -MT$(IntermediateDirectory)/TerminalSession.cpp$(ObjectSuffix) -MF$(IntermediateDirectory)/TerminalSession.cpp$(DependSuffix) -MM TerminalSession.cpp

$(IntermediateDirectory)/TerminalSession.cpp$(PreprocessSuffix): TerminalSession.cpp
	$(CXX) $(CXXFLAGS) $(IncludePCH) $(IncludePath) $(PreprocessOnlySwitch) $(OutputSwitch) $(IntermediateDirectory)/TerminalSession.cpp$(PreprocessSuffix) TerminalSession.cpp


-include $(IntermediateDirectory)/*$(DependSuffix)
##
## Clean
##
clean:
	$(RM) -r ./Debug/


